<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="vm"
            type="fr.enssat.pokerplanning.ledeunff_prieur.ui.createsession.SessionViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <TextView
            android:id="@+id/wait_users_session_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="50dp"
            android:layout_marginBottom="50dp"
            android:hint="@string/title_wait_users"
            android:text="@{vm.session.title}"
            android:textSize="@dimen/size_text_h1"
            app:layout_constraintBottom_toTopOf="@+id/wait_users_title"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/wait_users_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="100dp"
            android:text="@string/wait_users_title"
            android:textSize="@dimen/size_text_h1"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

        </TextView>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/usersList"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5dp"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            app:layout_constrainedHeight="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHeight_max="300dp"
            app:layout_constraintHeight_min="300dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/wait_users_title"
            tools:listitem="@layout/recyclerview_item_user" />

        <com.google.android.material.button.MaterialButton
            android:id="@+id/button"
            style="@style/Widget.MaterialComponents.Button.OutlinedButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="50dp"
            android:layout_marginBottom="50dp"
            android:onClick="@{(v)->vm.openCreateFeature()}"
            android:text="@string/launch_session"
            app:layout_constraintBottom_toTopOf="@+id/wait_users_title"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/wait_users_session_title"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>